@import url('https://fonts.googleapis.com/css2?family=Nunito+Sans:ital,wght@0,200;0,300;0,400;0,600;0,700;0,800;0,900;1,200;1,300;1,400;1,600;1,700;1,800;1,900&display=swap');

* {
  box-sizing: border-box;
  scroll-behavior: smooth;
  word-wrap: break-word;
}

:root {
  --animate-duration: 600ms;
  --animate-delay: 1s;
}

body {
  font-family: 'Nunito Sans', sans-serif;

  @apply bg-white-shade-1 dark:bg-darkGrey-primary dark:text-white-primary text-darkGrey;
}

.spinner-wrapper {
  .spinner {
    width: 50px;
    aspect-ratio: 1;
    background: 
      var(--_c) top,
      var(--_c) left,
      var(--_c) right,
      var(--_c) bottom;
    background-size: 12px 12px;
    background-repeat: no-repeat;
    animation: s7 .8s infinite;
  }
  .spinner-black {
    --_c: theme('backgroundImage.gradient-radial-black');
  }
  .spinner-white {
    --_c: theme('backgroundImage.gradient-radial-white');
  }
  .spinner-primary {
    --_c: theme('backgroundImage.gradient-radial-primary');
  }
  .spinner-darkGrey {
    --_c: theme('backgroundImage.gradient-radial-darkGrey');
  }
  @keyframes s7 {to{transform: rotate(.5turn)}}
}